import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { MTL4CounterHeapType } from "./MTL4CounterHeapType.js";
export declare class _MTL4CounterHeapDescriptor extends _NSObject {
    static alloc(): _MTL4CounterHeapDescriptor;
    static new(): _MTL4CounterHeapDescriptor;
    init(): _MTL4CounterHeapDescriptor;
    /** Assigns the type of data that the heap contains. */
    type(): MTL4CounterHeapType;
    setType$(value: MTL4CounterHeapType): void;
    /**
     * Assigns the number of entries in the heap. Each entry represents one item in the heap. The size of the individual entries depends on the heap type.
     */
    count(): number;
    setCount$(value: number): void;
}
export interface _MTL4CounterHeapDescriptor extends _NSCopying {
}
